$(document).ready(function(){
	
	// I need to set the height of the wrapper because some devices don't support 
	// the "overflow:hidden" applied to the <body>
	$('.wrapper').height($(window).height());
	$(window).resize(function(){
	$('.wrapper').height($(window).height());
	});
	
	var mask = $('.mask');
	var part = $('.part');
	var part1 = $('#part1');
	var part2 = $('#part2');
	var buttons = $('.button');
	
	$('.button a').click(function(e){
	
	e.preventDefault();
	
	/* Here I check if I have to open or to close or open the page */ 
	
	var page_request = $(this).attr('href');
	var selected = $(this).parent();
		
	/* open */
	open(page_request,selected);  
	$(page_request).toggleClass('active');
		
	});
	
	$('.go_back').click(function(e)
	{
		e.preventDefault();
		close();
		$('.page').removeClass('active');
	});
	
	function open(page,selected){
		console.log('1'+selected);
		$('.page').removeClass('request');
		buttons.removeClass('def');
		part1.toggleClass('go_up');
		part2.toggleClass('go_down');
		$(page).toggleClass('request');
		buttons.toggleClass('anim');
		$(selected).toggleClass('selected');
	}
	function close(){
		part1.toggleClass('go_up');
		part2.toggleClass('go_down');
		buttons.toggleClass('anim');
		buttons.toggleClass('def');
		buttons.removeClass('selected');
	}
		
});